@ECHO OFF
IF "%1" = "INFO" GOTO INFO
IF "%1" = "info" GOTO INFO
IF "%1" = "DOCUMENT" GOTO DOC
IF "%1" = "document" GOTO DOC
IF "%1" = "REGISTER" GOTO REG
IF "%1" = "register" GOTO REG
IF "%1" = "INSTALL" GOTO INSTALL
IF "%1" = "install" GOTO INSTALL
CLS
ECHO 
ECHO                            PRACTYPE version 2.1
ECHO              Copyright 1991, 1995, and 1996 by G. R. Anderson
ECHO 
ECHO 
ECHO README.BAT performs the following functions:
ECHO 
ECHO   README           Displays this screen
ECHO 
ECHO   README INFO      Provides information about PRACTYPE
ECHO 
ECHO   README DOCUMENT  Prints a copy of the PRACTYPE document on your printer
ECHO 
ECHO   README REGISTER  Prints a copy of the registration form on your printer
ECHO 
ECHO   README INSTALL   Installs PRACTYPE on the C:\PRACTYPE\ directory
ECHO 
ECHO   README INSTALL d:path   Installs PRACTYPE in the d:path directory
ECHO            where "d" is the disk where you want the program loaded
ECHO            and "path" is the directory where you want its files stored
ECHO            (e.g. C:\TYPING\)
ECHO 
ECHO                                                                         
GOTO END
:INFO
CLS
ECHO 
ECHO                            PROGRAM INFORMATION
ECHO 
ECHO 
ECHO PRACTYPE is a typing practice program for beginning keyboarders.  It 
ECHO teaches how to use your computer keyboard to enter data accurately 
ECHO without ever looking at your keyboard or monitor.  The program leads 
ECHO step by step through the rows of keys and recommends means for improving 
ECHO typing performance.
ECHO 
ECHO The PRACTYPE document describes correct typing techniques and explains
ECHO the use of the program.  Help menues in the program also discuss typing
ECHO technique and program usage.  The use of most program features, however,
ECHO is readily apparent.
ECHO 
ECHO PRACTYPE is distributed as SHAREWARE.  You are free to try SHAREWARE 
ECHO products before you buy them and may distribute them without charge to
ECHO anyone.  However, if you decide to use a SHAREWARE product, you are
ECHO obligated to buy it.  You buy PRACTYPE by registering it.  Register the
ECHO program by printing the form PRACTYPE.REG, filling it out to indicate
ECHO your choice of options, and submitting it with the appropriate fee.
ECHO 
ECHO  
ECHO 
PAUSE
CLS
GOTO END
:DOC
TYPE PRACTYPE.DOC > PRN
GOTO END
:REG
TYPE PRACTYPE.REG > PRN
GOTO END
:INSTALL
IF "%2" = "" GOTO DEFLT
MKDIR %2
COPY PRACTYPE.* %2
COPY *.LOG %2
COPY README.BAT %2
GOTO END
:DEFLT
MKDIR C:\PRACTYPE
COPY PRACTYPE.* C:\PRACTYPE\
COPY *.LOG C:\PRACTYPE\
COPY README.BAT C:\PRACTYPE\
:END